AllCops:
  TargetRubyVersion: 2.3
  Exclude:
  - 'spec/**/*'
  - 'db/**/*'
  - 'app/views/**/*'
  - 'config/**/*'
  - 'bin/*'
  - 'Rakefile'
  - 'node_modules/**/*'
  - 'Vagrantfile'
  - 'vendor/**/*'

Bundler/OrderedGems:
  Enabled: false

Layout/AccessModifierIndentation:
  EnforcedStyle: indent

Layout/SpaceInsideHashLiteralBraces:
  EnforcedStyle: space

Metrics/AbcSize:
  Max: 100

Metrics/BlockNesting:
  Max: 3

Metrics/ClassLength:
  CountComments: false
  Max: 200

Metrics/CyclomaticComplexity:
  Max: 15

Metrics/LineLength:
  AllowURI: true
  Enabled: false

Metrics/MethodLength:
  CountComments: false
  Max: 55

Metrics/ModuleLength:
  CountComments: false
  Max: 200

Metrics/ParameterLists:
  Max: 4
  CountKeywordArgs: true

Metrics/PerceivedComplexity:
  Max: 10

Rails:
  Enabled: true

Rails/HasAndBelongsToMany:
  Enabled: false

Style/ClassAndModuleChildren:
  Enabled: false

Style/CollectionMethods:
  Enabled: true
  PreferredMethods:
    find_all: 'select'

Style/Documentation:
  Enabled: false

Style/DoubleNegation:
  Enabled: true

Style/FrozenStringLiteralComment:
  Enabled: true

Style/GuardClause:
  Enabled: false

Style/Lambda:
  Enabled: false

Style/PerlBackrefs:
  AutoCorrect: false

Style/RegexpLiteral:
  Enabled: false

Style/TrailingCommaInLiteral:
  EnforcedStyleForMultiline: 'comma'
